> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get execution detail

> Get a single flow run with step-level outputs.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/workflow/executions/{run_id}
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/workflow/executions/{run_id}:
    get:
      tags:
        - Workflows - Executions
      summary: Get execution detail
      description: Get a single flow run with step-level outputs.
      operationId: get_execution_v1_workflow_executions__run_id__get
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowRunDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    FlowRunDetailResponse:
      properties:
        id:
          type: string
          title: Id
        flowId:
          type: string
          title: Flowid
        flowDisplayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Flowdisplayname
        status:
          $ref: '#/components/schemas/FlowRunStatus'
        created:
          type: string
          format: date-time
          title: Created
        updated:
          type: string
          format: date-time
          title: Updated
        startTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Starttime
        finishTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finishtime
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        stepsCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stepscount
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        failedStep:
          anyOf:
            - $ref: '#/components/schemas/FailedStepResponse'
            - type: 'null'
        steps:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Steps
      type: object
      required:
        - id
        - flowId
        - status
        - created
        - updated
      title: FlowRunDetailResponse
      description: Detail view — includes step outputs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlowRunStatus:
      type: string
      enum:
        - QUEUED
        - RUNNING
        - PAUSED
        - SUCCEEDED
        - FAILED
        - TIMEOUT
        - CANCELED
        - INTERNAL_ERROR
        - QUOTA_EXCEEDED
        - MEMORY_LIMIT_EXCEEDED
      title: FlowRunStatus
    FailedStepResponse:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
      type: object
      title: FailedStepResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````